from django.urls import path, include

from .views.urls import VesselsDataTableURLView, VesselsDeleteURLView, VesselsEditURLView, ReplicationSourcesDataTableURLView, ReplicationSourcesDeleteURLView, ReplicationSourcesEditURLView, ReplicationTargetsDataTableURLView, ReplicationTargetsDeleteURLView, ReplicationTargetsEditURLView, StaticsURLView
from .views.vessels import VesselsLocationView


urlpatterns = [
    path("urls/vessels/datatable/", VesselsDataTableURLView.as_view(), name=""),
    path("urls/vessels/edit/<str:pk>/", VesselsEditURLView.as_view(), name=""),
    path("urls/vessels/delete/<str:pk>/", VesselsDeleteURLView.as_view(), name=""),

    path("urls/replication/targets/datatable/", ReplicationTargetsDataTableURLView.as_view(), name=""),
    path("urls/replication/targets/edit/<str:pk>/", ReplicationTargetsEditURLView.as_view(), name=""),
    path("urls/replication/targets/delete/<str:pk>/", ReplicationTargetsDeleteURLView.as_view(), name=""),

    path("urls/replication/sources/datatable/", ReplicationSourcesDataTableURLView.as_view(), name=""),
    path("urls/replication/sources/edit/<str:pk>/", ReplicationSourcesEditURLView.as_view(), name=""),
    path("urls/replication/sources/delete/<str:pk>/", ReplicationSourcesDeleteURLView.as_view(), name=""),

    path("urls/static/", StaticsURLView.as_view(), name=""),

    path("vessels/location/<str:id>/", VesselsLocationView.as_view(), name=""),
]
